---
name: FediBooks
description: A web UI for creating "ebooks bots" - bots that learn from your posts and use Markov chains to generate similar posts.
source: https://github.com/Lynnesbian/FediBooks
website: https://fedibooks.com
screenshots: [fedibooks-home.png, fedibooks-bots.png, fedibooks-chat.png]
---
FediBooks is a website powered by Flask (Python) designed to make creating and managing Fediverse ebooks bots easy.

## Features
- Free to use, host, modify, and more
- Supports Mastodon and Pleroma instances
- No installation or local setup required
- An easy to understand step-by-step process for creating and managing bots
